package com.zhentao.common.user.controller;


import com.zhentao.common.user.dto.LoginDto;
import com.zhentao.common.user.service.GooseUserService;
import com.zhentao.common.user.domain.GooseUser;
import com.zhentao.util.ResultVo;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.Map;

@RestController
@RequestMapping("/api")
public class LoginController {
    @Resource
    private GooseUserService gooseUserService;
    @RequestMapping("/login")
    public ResultVo login(@RequestBody LoginDto loginDto,HttpServletRequest request){
        return gooseUserService.login(loginDto,request);
    }
    @RequestMapping("/wx-login")
    public ResultVo Wxlogin(@RequestBody Map<String, String> requestData, HttpServletRequest request){
        return gooseUserService.Wxlogin(requestData,request);
    }
    @RequestMapping("/getCode")
    public ResultVo getCode(@RequestBody GooseUser user){
        return gooseUserService.getCode(user);
    }
}